aboutsummaryrefslogtreecommitdiff
path: root/v2/src/bin/indexentry
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2023-04-08 13:22:48 -0300
committerEuAndreh <eu@euandre.org>2023-04-08 13:24:25 -0300
commitee71be14a05d0d7da38352f8ff5c19798f96d4eb (patch)
tree219353fc97fa32bfe5fcadbfcdd024f768d2b2d2 /v2/src/bin/indexentry
parentv2: src/bin/html: Turn extract_plaintext_snippets() into a () function (diff)
downloadeuandre.org-ee71be14a05d0d7da38352f8ff5c19798f96d4eb.tar.gz
euandre.org-ee71be14a05d0d7da38352f8ff5c19798f96d4eb.tar.xz
v2: Generate collections index.html pages and their "by-category" equivalents
Diffstat (limited to '')
-rwxr-xr-xv2/src/bin/indexentry73
1 files changed, 73 insertions, 0 deletions
diff --git a/v2/src/bin/indexentry b/v2/src/bin/indexentry
new file mode 100755
index 0000000..03bf771
--- /dev/null
+++ b/v2/src/bin/indexentry
@@ -0,0 +1,73 @@
+#!/bin/sh
+set -eu
+
+usage() {
+ cat <<-'EOF'
+ Usage:
+ indexentry FILENAME
+ indexentry -h
+ EOF
+}
+
+help() {
+ cat <<-'EOF'
+
+
+ Options:
+ -h, --help show this message
+
+ FILENAME the name of the input .md file
+
+
+ Process FILE, and generate an index collection entry.
+
+
+ Examples:
+
+ Generate the index entry for a TIL:
+
+ $ indexentry src/tils/a-til.md > src/tils/a-til.indexentry
+ EOF
+}
+
+
+for flag in "$@"; do
+ case "$flag" in
+ --)
+ break
+ ;;
+ --help)
+ usage
+ help
+ exit
+ ;;
+ *)
+ ;;
+ esac
+done
+
+while getopts 'h' flag; do
+ case "$flag" in
+ h)
+ usage
+ help
+ exit
+ ;;
+ *)
+ usage >&2
+ exit 2
+ ;;
+ esac
+done
+shift $((OPTIND - 1))
+
+. src/lib.sh
+
+FILENAME="${1:-}"
+eval "$(assert_arg "$FILENAME" 'FILENAME')"
+
+
+# shellcheck source=/dev/null
+. "${FILENAME%.md}.conf"
+
+envsubst < src/lib/entry.html